package com.qianhe.mapper;

import java.util.List;

import com.qianhe.domain.SjZdbfFjxbzCb;
import com.qianhe.domain.SjZdbfZsdwfjxcj;

/**
 * 指导帮扶-直属单位否决项采集Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface SjZdbfZsdwfjxcjMapper 
{
    /**
     * 查询指导帮扶-直属单位否决项采集
     * 
     * @param id 指导帮扶-直属单位否决项采集主键
     * @return 指导帮扶-直属单位否决项采集
     */
    public SjZdbfZsdwfjxcj selectSjZdbfZsdwfjxcjById(Long id);

    /**
     * 查询指导帮扶-直属单位否决项采集列表
     * 
     * @param sjZdbfZsdwfjxcj 指导帮扶-直属单位否决项采集
     * @return 指导帮扶-直属单位否决项采集集合
     */
    public List<SjZdbfZsdwfjxcj> selectSjZdbfZsdwfjxcjList(SjZdbfZsdwfjxcj sjZdbfZsdwfjxcj);

    /**
     * 新增指导帮扶-直属单位否决项采集
     * 
     * @param sjZdbfZsdwfjxcj 指导帮扶-直属单位否决项采集
     * @return 结果
     */
    public int insertSjZdbfZsdwfjxcj(SjZdbfZsdwfjxcj sjZdbfZsdwfjxcj);

    /**
     * 修改指导帮扶-直属单位否决项采集
     * 
     * @param sjZdbfZsdwfjxcj 指导帮扶-直属单位否决项采集
     * @return 结果
     */
    public int updateSjZdbfZsdwfjxcj(SjZdbfZsdwfjxcj sjZdbfZsdwfjxcj);

    /**
     * 删除指导帮扶-直属单位否决项采集
     * 
     * @param id 指导帮扶-直属单位否决项采集主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwfjxcjById(Long id);

    /**
     * 批量删除指导帮扶-直属单位否决项采集
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwfjxcjByIds(Long[] ids);


    int batchSave(List<SjZdbfZsdwfjxcj> list);


}
